Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.util.apache.cocoon.xml
Class AbstractSynchronizedXMLPipe

    java.lang.Object
      fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
          fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
              fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer
                  fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLPipe

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.excalibur.concurrent.Sync, SynchronizedXMLConsumer, SynchronizedXMLPipe, SynchronizedXMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.cocoon.xml.XMLProducer

Direct Known Subclasses:
  SynchronizedOAIObjectImpl, SynchronizedXMLPipeWrapper

public class AbstractSynchronizedXMLPipe
extends AbstractSynchronizedXMLProducer
implements SynchronizedXMLPipe

This class attempts to ensure synchronization with it's xml consumer before sending any events the consumer resource will be released in the endDocument() method

Field Summary
`protected boolean` | `synchronizedXmlConsumerAcquired`

Fields inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer
`synchronizedXmlConsumer`

Constructor Summary
`AbstractSynchronizedXMLPipe()`

Method Summary
`protected void` | `acquireSynchronizedXMLConsumer()`
`void` | `characters(char[] c, int start, int len)` Receive notification of character data.
`void` | `comment(char[] ch, int start, int len)` Report an XML comment anywhere in the document.
`void` | `endCDATA()` Report the end of a CDATA section.
`void` | `endDocument()` Release the synchronized consumer and receive notification of the end of a document.
`void` | `endDTD()` Report the end of DTD declarations.
`void` | `endElement(java.lang.String uri, java.lang.String loc, java.lang.String raw)` Receive notification of the end of an element.
`void` | `endEntity(java.lang.String name)` Report the end of an entity.
`void` | `endPrefixMapping(java.lang.String prefix)` End the scope of a prefix-URI mapping.
`void` | `ignorableWhitespace(char[] c, int start, int len)` Receive notification of ignorable whitespace in element content.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Receive notification of a processing instruction.
`void` | `recycle()` Recycle the producer by removing references
`protected void` | `releaseSynchronizedXMLConsumer()`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Receive an object for locating the origin of SAX document events.
`void` | `skippedEntity(java.lang.String name)` Receive notification of a skipped entity.
`void` | `startCDATA()` Report the start of a CDATA section.
`void` | `startDocument()` Acquire the synchronization of the consumer and receive notification of the beginning of a document.
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Report the start of DTD declarations, if any.
`void` | `startElement(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes a)` Receive notification of the beginning of an element.
`void` | `startEntity(java.lang.String name)` Report the beginning of an entity.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Begin the scope of a prefix-URI Namespace mapping.

Methods inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer
`setConsumer, setConsumer, setSynchronizedConsumer`

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
`isAcquired`

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
`acquire, attempt, getTokens, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLProducer
`setConsumer`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface org.apache.avalon.excalibur.concurrent.Sync
`acquire, attempt, release`

Field Detail

### synchronizedXmlConsumerAcquired

    protected boolean synchronizedXmlConsumerAcquired

Constructor Detail

### AbstractSynchronizedXMLPipe

    public AbstractSynchronizedXMLPipe()

Method Detail

### acquireSynchronizedXMLConsumer

    protected void acquireSynchronizedXMLConsumer()
                                           throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### releaseSynchronizedXMLConsumer

    protected void releaseSynchronizedXMLConsumer()

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Receive an object for locating the origin of SAX document events.

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `locator` - An object that can return the location of any SAX document event.

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Acquire the synchronization of the consumer and receive notification of the beginning of a document.

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Release the synchronized consumer and receive notification of the end of a document.

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Begin the scope of a prefix-URI Namespace mapping.

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `prefix` - The Namespace prefix being declared.
    `uri` - The Namespace URI the prefix is mapped to.
  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  End the scope of a prefix-URI mapping.

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `prefix` - The prefix that was being mapping.
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String loc,
                             java.lang.String raw,
                             org.xml.sax.Attributes a)
                      throws org.xml.sax.SAXException

  Receive notification of the beginning of an element.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `loc` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `raw` - The raw XML 1.0 name (with prefix), or the empty string if raw names are not available.
    `a` - The attributes attached to the element. If there are no attributes, it shall be an empty Attributes object.
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String loc,
                           java.lang.String raw)
                    throws org.xml.sax.SAXException

  Receive notification of the end of an element.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `loc` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `raw` - The raw XML 1.0 name (with prefix), or the empty string if raw names are not available.
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] c,
                           int start,
                           int len)
                    throws org.xml.sax.SAXException

  Receive notification of character data.

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `c` - The characters from the XML document.
    `start` - The start position in the array.
    `len` - The number of characters to read from the array.
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] c,
                                    int start,
                                    int len)
                             throws org.xml.sax.SAXException

  Receive notification of ignorable whitespace in element content.

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `c` - The characters from the XML document.
    `start` - The start position in the array.
    `len` - The number of characters to read from the array.
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Receive notification of a processing instruction.

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none was supplied.
  Throws:
    `org.xml.sax.SAXException`

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Receive notification of a skipped entity.

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `name` - The name of the skipped entity. If it is a parameter entity, the name will begin with '%'.
  Throws:
    `org.xml.sax.SAXException`

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Report the start of DTD declarations, if any.

  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Parameters:
    `name` - The document type name.
    `publicId` - The declared public _identifier for the external DTD subset, or null if none was declared.
    `systemId` - The declared system _identifier for the external DTD subset, or null if none was declared.
  Throws:
    `org.xml.sax.SAXException`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Report the end of DTD declarations.

  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Report the beginning of an entity.

  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
  Throws:
    `org.xml.sax.SAXException`

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Report the end of an entity.

  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Parameters:
    `name` - The name of the entity that is ending.
  Throws:
    `org.xml.sax.SAXException`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Report the start of a CDATA section.

  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Report the end of a CDATA section.

  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int len)
                 throws org.xml.sax.SAXException

  Report an XML comment anywhere in the document.

  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`
  Parameters:
    `ch` - An array holding the characters in the comment.
    `start` - The starting position in the array.
    `len` - The number of characters to use from the array.
  Throws:
    `org.xml.sax.SAXException`

### recycle

    public void recycle()

  Description copied from class: `AbstractSynchronizedXMLProducer`
  Recycle the producer by removing references

  Specified by:
    `recycle` in interface `org.apache.avalon.excalibur.pool.Recyclable`
  Overrides:
    `recycle` in class `AbstractSynchronizedXMLProducer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.